package com.supervision.militaryvehicleManagement.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.supervision.militaryvehicleManagement.mapper.BdglThebusThemplateMapper;
import com.supervision.militaryvehicleManagement.domain.BdglThebusThemplate;
import com.supervision.militaryvehicleManagement.service.IBdglThebusThemplateService;

/**
 * 军车审批模板Service业务层处理
 * 
 * @author supervision
 * @date 2022-03-04
 */
@Service
public class BdglThebusThemplateServiceImpl implements IBdglThebusThemplateService 
{
    @Autowired
    private BdglThebusThemplateMapper bdglThebusThemplateMapper;

    /**
     * 查询军车审批模板
     * 
     * @param id 军车审批模板主键
     * @return 军车审批模板
     */
    @Override
    public BdglThebusThemplate selectBdglThebusThemplateById(Integer id)
    {
        return bdglThebusThemplateMapper.selectBdglThebusThemplateById(id);
    }

    /**
     * 查询军车审批模板列表
     * 
     * @param bdglThebusThemplate 军车审批模板
     * @return 军车审批模板
     */
    @Override
    public List<BdglThebusThemplate> selectBdglThebusThemplateList(BdglThebusThemplate bdglThebusThemplate)
    {
        return bdglThebusThemplateMapper.selectBdglThebusThemplateList(bdglThebusThemplate);
    }

    /**
     * 新增军车审批模板
     * 
     * @param bdglThebusThemplate 军车审批模板
     * @return 结果
     */
    @Override
    public int insertBdglThebusThemplate(BdglThebusThemplate bdglThebusThemplate)
    {
        return bdglThebusThemplateMapper.insertBdglThebusThemplate(bdglThebusThemplate);
    }

    /**
     * 修改军车审批模板
     * 
     * @param bdglThebusThemplate 军车审批模板
     * @return 结果
     */
    @Override
    public int updateBdglThebusThemplate(BdglThebusThemplate bdglThebusThemplate)
    {
        return bdglThebusThemplateMapper.updateBdglThebusThemplate(bdglThebusThemplate);
    }

    /**
     * 批量删除军车审批模板
     * 
     * @param ids 需要删除的军车审批模板主键
     * @return 结果
     */
    @Override
    public int deleteBdglThebusThemplateByIds(Integer[] ids)
    {
        return bdglThebusThemplateMapper.deleteBdglThebusThemplateByIds(ids);
    }

    /**
     * 删除军车审批模板信息
     * 
     * @param id 军车审批模板主键
     * @return 结果
     */
    @Override
    public int deleteBdglThebusThemplateById(Integer id)
    {
        return bdglThebusThemplateMapper.deleteBdglThebusThemplateById(id);
    }
}
